org.eclipse.swt.events

## Interface MenuDetectListener

All Superinterfaces:
  EventListener, SWTEventListener

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface MenuDetectListener
    extends SWTEventListener

Classes which implement this interface provide methods that deal with the events that are generated when the platform-specific trigger for showing a context menu is detected.

After creating an instance of a class that implements this interface it can be added to a control or TrayItem using the `addMenuDetectListener` method and removed using the `removeMenuDetectListener` method. When the context menu trigger occurs, the `menuDetected` method will be invoked.

Since:
  3.3
See Also:
  `MenuDetectEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `menuDetected(MenuDetectEvent e)` Sent when the platform-dependent trigger for showing a menu item is detected.

### Method Detail

#### menuDetected

    void menuDetected(MenuDetectEvent e)

Sent when the platform-dependent trigger for showing a menu item is detected.

Parameters:
  `e` - an event containing information about the menu detect